Copyright: Copyright@1999 SourceTec Software Co.Ltd. All Rights Reserved.


Dialog JavaScript Controls Select

JavaScript Widgets Select Dialog

When you start the CutePage JsBox, you maybe have not selected a JavaScript Widget,  If you want to select a JavaScript Widget, please insert the Normal template into the target page, and  you can start the Select a JavaScript Widget dialog. Then select a JavaSciprt Widgets in the list, double click the item or click OK, this JavaScript Widget configuration  dialog will start. Now, you can configure this Widget.

Note: If you have selected JavaScript Widget in the list, the Configuration Dialog of the JavaScript will be started automatically when you configure it again.


What are support files

What are support files?

If you want to use CutePage JsBox, you should prepare two parts to let your widgets run properly: HTML codes of this widget and the files used by HTML codes. These files can be Js files, audio files, image files.These files' name and path will be included in the widget's HTML codes. We call these files as Support files.

The Support Files' Path

HTML file will locate the support files when it is browsed. This locating depend on the support files' path which were recorded in HTML codes.

For example: If you don't set the web path of support files when you configure your widget, you must save the support files in the HTML files saved directory. The following pictures show this conditions, it does not set support files' path in HTML codes(using Timebutton.js):

We also can specify the path of every support file. Now, we set the class file relative path is mytest and image file's, gifsample.gif, relative path is mytestimage. These two directories must be in your HTML file saved directory.  The following pictures show the path in HTML codes:

It is so important to set the accurate path of these support files. If you don't set the path correctly, your widget will not be showed properly. It will be included in the widget HTML codes and you must set it correctly.

The default path of support files is the HTML file saved directory. If you want to copy these support  files to another directory, you can click the Support files menu item or File List toolbar button to copy the support files to the specified directory.


Dialog JavaScript Time Button

JavaScript Time Button Dialog

JavaScript Time Button can show a button in your web page. The button text is the current time, it can update per second.

Parameters:

•	Button Align: Select a position that time button to display in the web browser.

•	Click Popup Message: Input a text. When button is clicked, the click message will be showed on the messagebox.

•	Specify Timebutton.js Remote Direcotory: Specify the directory in Web Server of Timebutton.js. Click here to see how to set.

Note: You only can insert this JavaScript Widget one time into a web page by CutePage JsBox.


Dialog JavaScript Stay Time

JavaScript Stay Time Dialog

JavaScript StayTime can show the time you browse an HTML file. It can be a button or an input in web page.

Parameters:

•	Stay Time Align: Select a position that stay time Widget to display in the web browser.

•	Stay Time Type: Select a type of StayTime when you browse the page. It can be button or input.

•	Stay Time Size: specify the StayTime size.

Note: You only can insert this JavaScript Widget one time into a web page by CutePage JsBox.


Dialog JavaScript Link Message

JavaScript Link Message Dialog

JavaScript Link Message in Status Bar can show a link message in status bar.

Parameters:

•	Link Message:  The text be showed in the status bar when your mouse move onto the link.

•	Link Tex: The link text.

•	The Information of this Url: When you click ... buttton, the Input an URL dialog will be started. You can input the Url and Url type in it.


Dialog JavaScript Button

JavaScript Button Dialog

JavaScript Button can make an javascript button for your web pages.

Parameters:

•	Button Text: Text appeared on button.

•	Button Align:Select a position that  button to display in the web browser.

•	URL informaton of the Button:  When you click ... buttton, the Input an URL dialog will be started. You can input the Url and Url type in it.


Dialog  JavaScript Current File Directory

Current File Directory Dialog

JavaScript Current File Directory can show the path of the browsing page and you can click the directory to visit.

Parameters:

•	Control Width: The width of File Directory Widget.

•	Border Width: The border width of File Directory Widget.

•	Control Align: Select a position that File Directory Widget to display in the web browser.

•	Control Font:  Select a font for the File Directory Widget text. You can click the ... button to select fonts which you installed in your system.

•	Font Color: Specify the color of the font.

•	Background Color: Select a background color for File Directory Widget. You can click the attach button to select one.


Dialog JavaScript Marquee

JavaScript Marquee Dialog

JavaScript Marquee is a text marquee in status bar.

Parameters:

•	Marquee Text:  The text of this marquee.

•	Marquee Start Speed: the speed of marquee start.

•	Marquee Interval Time: The interval time between two texts.

•	Specify Marquee.js Remote Directory: Specify the directory in Web Server of marquee.js file. Click here to see how to set.


Dialog JavaScript Valid Contents Textarea

Valid Contents Textarea Dialog

JavaScript Valid Contents Textarea can check the input is vacant or not.

Parameters:

•	Textarea Align: Select a position that textarea to display in the web browser.

•	Submit Button Text: The text showed on the submit button.

•	Alert text: The text will be showed on the message box when the button is clicked and the input is vacant.

•	Textarea Size: Set the width and height of textarea.

•	URL informaton of the submit: When you click ... buttton, the Input an URL dialog will be started. You can input the Url and Url type in it.


Dialog JavaScript Cool Marquee

JavaScript Cool Marquee Dialog

JavaScript Cool Marquee can show multiple words in one marquee.

Parameters:

•	Marquee Text: The texts of marquee. If you want to move an item down or up, please  select this item and click Move Down or Move Up button. Clicking the Delete button can delete an selected item. If you want to add an text into marquee, please input the text into the input box under the list, then click the Add button. Do you want to modify an item, please click the item, this item will be showed in the inputbox, you can modify it, and click the Modify button, then the item is changed.

•	Char Pop Up Speed: Specify the pop up speed of char in the text.

•	Text Slide Speed: Specify the speed of text slide when the marquee running.

•	Text Interval Time: The interval time between two texts.

•	Text Settling Time: Specify the time of the text settling on the status bar.

•	Specify Mulmarquee.js Remote Directory: Specify the directory in Web Server of mulmarquee.js file. Click here to see how to set.

Note: You only can insert this JavaScript Widget one time into a web page by CutePage JsBox.


Dialog JavaScript Link Info Style

JavaScript Link Info can show the Urls in a rectangle. You can click the interval link to see the guide of this url.You can set the JavaScript Link Info's style in this dialog.

Parameters:

•	Link Info Size: Set the Size of Link Info.

•	Link Info Align: Select a position that Link Info to display in the web browser.

•	Browse Button Text: Set the text appeared on the button.

•	BackGround Color: Set the background color of the Link Info.

•	Columns In One Row: Specify  Column number in one row.

•	Link Info Bottom Size: Set the Size of Link Info bottom. The bottom include textarea and the browse button.

•	Guide Textarea Size: Set the textarea size.

•	Size of Every Column: Specify the size of every column in one row. You can click the Move Down or Move Up button to move the selected item down or up. If you want to delete one item in the list box, please click the Delete button, the column number will be subtracted 1. If you want to modify a column size, please select the item and change it in inputbox, then click the Modify button. If you click the Apply to all item button, your selected column width will be applied all items.


Dialog Friend Link Style

Style of Friend Link Dialog

JavaScript Friend Link can list the Urls in the HTML list box. When you click the list item, you can get the guide of this Url. You can specify the style parameters in this dialog.

Parameters:

•	Link Name Textarea Width: Specify the size of Name textarea.

•	Link Guide Textarea Width: Specify the szie of Guide textarea.

•	Name List Size: Specify the Name List Size.

•	Friend Link Align:  Select a position that Friend Link to display in the web browser.

•	Browser Button Text : Set the text appeared on the button.

•	Caption of Selected Name Textarea: Specify the caption of the name textarea.

•	Caption of Selected Name's Guide Textarea: Specify the caption of the guide textarea.


Dialog JavaScript New Link Add

JavaScript New Link Add Dialog

You can add a new Link in this dialog.

Parameters:

•	Link Name: The name of this link.

•	Link Guide: The guide of this link.

•	The informations of this URL: When you click ... buttton, the Input an URL dialog will be started. You can input the Url and Url type in it.


Dialog Email Address Acception

Email Address Acception Dialog

JavaScript Email Address Acception can check the input is a proper Email address or not.

Parameters

•	Input Align:Select a position that inputbox to display in the web browser.

•	Input Size: Specify the Size of input.

•	Button Text:The text showed on the submit button.

•	Failure Message of Email Tag input error: The text will be showed on the message box when the button is clicked and the Email address are lack of name and @.

•	Failure Message of Suffix name input error:The text will be showed on the message box when the button is clicked and the Email address are lack of suffix name.

•	URL informaton of the submit: When you click ... buttton, the Input an URL dialog will be started. You can input the Url and Url type in it.


Main Frame

Please click here to read the help of CutePage JsBox's main frame.


Dialog Digit Acception

Digit Acception Dialog

JavaScript Digit Acception can check the input is digit or not.

Parameters

•	Input Align:Select a position that inputbox to display in the web browser.

•	Input Size: Specify the Size of input.

•	Button Text:The text showed on the submit button.

•	Error message: The text will be showed on the message box when the button is clicked and input are not digit.

•	URL informaton of the submit: When you click ... buttton, the Input an URL dialog will be started. You can input the Url and Url type in it.


Dialog Remove HTML Textarea

Remove HTML Textarea Dialog

JavaScript Remove HTML textarea can delete the HTML and Javascript code in the textarea.

Parameters

•	Textarea Align:Select a position that textarea to display in the web browser.

•	Submit Button Text:The text showed on the submit button.

•	Textarea Size: Specify the size of the textarea.

•	URL informaton of the Button:  When you click ... buttton, the Input an URL dialog will be started. You can input the Url and Url type in it.


Dialog JavaScript Link Information

Link Information Dialog

You can modify your link informations of Friend Link or Link Info in this dialog.

Operation:

•	Add a New Link: You can click the Add a new link button, then the Add a link dialog box will be started. You can input link name. link guide and link. The link can be an URL or an Email address.

•	Delete a Link: Select a link name in the Name of the Link list, and click the Delete button, then the link name will be deleted. The link guide and link which are in the same position of the link name will be deleted too.

•	Move an item down or up: If you want to move an item in a list down or up, please select the item first, then click the Move Down or Move Up button under the list.

•	Modify an item: If  you want to modify an item, please click the item, this item will be showed in the inputbox under the list, you can modify it, and click the Modify button, then the item is changed.

•	Specify Extensive Style for the link: You can click the Extensive Style of the form Button to specfiy the Friend Link or Link Info extensive style for those links.


Dialog input a new link

Input a New Link Dialog

Using this dialog, you can set an URL's properties.

Parameters:

•	Url Type: Select a type of this Url.

•	Url: input the Url address.


Dialog Javascritp SmartSwitchman

Javascritp SmartSwitchman Dialog

Using SmartSwitchman,  your HTML document can detect  the viewers' operation system and browser type, and browser can load the the HTML pages you specified for the detection result automatically. So whatever the viewers' browser is, your page is always suitable for them.

Operation

1. Select a browser type and version from the Web Browser panel.

     1. IE3 or Before: specify the browser type and version is Internet Explore 3 or before.

      2. IE4 or Later: specify the browser type and version is Internet Explore 4 or Later.

      3. Netscape 3.0 or Before: specify the browser type and version is Netscape Navigator 3.0 or before.

      4. Netscape 4.0 or Later: specify the browser type and version is Netscape Navigator 4.0 or Later.

2. After you have been selected a browser type and version, you can select an operation system in Switch Detail Panel. Click Specify Platform, then you can select the operation is Windows or not.

        1.Windows: Specify Viewer whose Operation System is Windows to view the specified HTML document.

        2.Not Windows: Specify Viewer whose Operation System is not Windows to view the specifyed HTML document.

3.Please input the an URL or Hompage into the Switch to URL to specify the viewer who have the above properties you specify browse.

If you finish your operation, please click OK, then your input will be inserted in SmartSwithchman Widget HTML text.

Note: Because a Javascript text was inserted into your document, your must follow some rules if you want to avoid some problems.

1.You can not input the HTML page in which the SmartSwitchman Widget be insert in Switch to URL. If you do, when viewer who have the specified properties to browse this page, this page will be loaded in circularly until you close this browse window.

2.You can not modify the SmartSwitchman Widget HTML text in editor. If you do and don't keep the whole text of the SmartSwitchman Widget, the Imported Widgets List can not parse the imported Widget correctly and your import is invalid.


Dialog Font Select

This dialog can show the fonts you installed in your system.

You can select the fonts in the fonts list for your HTML by double click. You also can input the font name into the InputBox.